JAVA_PATH="java"
if [ -n "${SEMSPECT_JAVA_PATH}" ]; then
    JAVA_PATH="${SEMSPECT_JAVA_PATH}"
fi

# JDK options precedence: SEMSPECT_JDK_OPTIONS, JDK_JAVA_OPTIONS, JAVA_TOOL_OPTIONS
# parameter '-XX:+UseBiasedLocking' is used for enhanced performance when reading RDF data sources in parallel
JDK_OPTIONS="-XX:+UseBiasedLocking -XX:+IgnoreUnrecognizedVMOptions"
if [ -n "${SEMSPECT_JDK_OPTIONS}" ]; then
    JDK_OPTIONS="${JDK_OPTIONS} ${SEMSPECT_JDK_OPTIONS}"
fi

JAR_PATH="$SEMSPECT_HOME/rdf-semspect.jar"
LIB_DIR="$SEMSPECT_HOME/lib"
CLASS_PATH="$LIB_DIR/*:$JAR_PATH"